## org.apache.lucene.search
Class FieldComparator.IntComparator

    java.lang.Object
      org.apache.lucene.search.FieldComparator<T>
          org.apache.lucene.search.FieldComparator.NumericComparator<Integer>
              org.apache.lucene.search.FieldComparator.IntComparator

Enclosing class:
  FieldComparator<T>

    public static final class FieldComparator.IntComparator

extends FieldComparator.NumericComparator<Integer>

Parses field's values as int (using `FieldCache.getInts(org.apache.lucene.index.IndexReader, java.lang.String)` and sorts by ascending value

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.lucene.search.FieldComparator

`FieldComparator.ByteComparator, FieldComparator.DocComparator, FieldComparator.DoubleComparator, FieldComparator.FloatComparator, FieldComparator.IntComparator, FieldComparator.LongComparator, FieldComparator.NumericComparator<T extends Number>, FieldComparator.RelevanceComparator, FieldComparator.ShortComparator, FieldComparator.StringComparatorLocale, FieldComparator.StringOrdValComparator, FieldComparator.StringValComparator`

Field Summary

Fields inherited from class org.apache.lucene.search.FieldComparator.NumericComparator
`docsWithField, field, missingValue`

Method Summary
`int` `compare(int slot1, int slot2)` Compare hit at slot1 with hit at slot2.
`int` `compareBottom(int doc)` Compare the bottom of the queue with doc.
`void` `copy(int slot, int doc)` This method is called when a new hit is competitive.
`void` `setBottom(int bottom)` Set the bottom slot, ie the "weakest" (sorted last) entry in the queue.
`void` `setNextReader(IndexReader reader, int docBase)` Set a new Reader.
`Integer` `value(int slot)` Return the actual value in the slot.

Methods inherited from class org.apache.lucene.search.FieldComparator
`binarySearch, binarySearch, compareValues, setScorer`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### compare

    public int compare(int slot1,
                       int slot2)

  Description copied from class: `FieldComparator`
  Compare hit at slot1 with hit at slot2.

  Specified by:
    `compare` in class `FieldComparator<Integer>`
  Parameters:
    `slot1` - first slot to compare
    `slot2` - second slot to compare
  Returns:
    any N < 0 if slot2's value is sorted after slot1, any N > 0 if the slot2's value is sorted before slot1 and 0 if they are equal

### compareBottom

    public int compareBottom(int doc)

  Description copied from class: `FieldComparator`
  Compare the bottom of the queue with doc. This will only invoked after setBottom has been called. This should return the same result as `FieldComparator.compare(int,int)`} as if bottom were slot1 and the new document were slot 2.

  For a search that hits many results, this method will be the hotspot (invoked by far the most frequently).

  Specified by:
    `compareBottom` in class `FieldComparator<Integer>`
  Parameters:
    `doc` - that was hit
  Returns:
    any N < 0 if the doc's value is sorted after the bottom entry (not competitive), any N > 0 if the doc's value is sorted before the bottom entry and 0 if they are equal.

### copy

    public void copy(int slot,
                     int doc)

  Description copied from class: `FieldComparator`
  This method is called when a new hit is competitive. You should copy any state associated with this document that will be required for future comparisons, into the specified slot.

  Specified by:
    `copy` in class `FieldComparator<Integer>`
  Parameters:
    `slot` - which slot to copy the hit to
    `doc` - docID relative to current reader

### setNextReader

    public void setNextReader(IndexReader reader,
                              int docBase)
                       throws IOException

  Description copied from class: `FieldComparator`
  Set a new Reader. All doc correspond to the current Reader.

  Overrides:
    `setNextReader` in class `FieldComparator.NumericComparator<Integer>`
  Parameters:
    `reader` - current reader
    `docBase` - docBase of this reader
  Throws:
    `IOException`

### setBottom

    public void setBottom(int bottom)

  Description copied from class: `FieldComparator`
  Set the bottom slot, ie the "weakest" (sorted last) entry in the queue. When `FieldComparator.compareBottom(int)` is called, you should compare against this slot. This will always be called before `FieldComparator.compareBottom(int)`.

  Specified by:
    `setBottom` in class `FieldComparator<Integer>`
  Parameters:
    `bottom` - the currently weakest (sorted last) slot in the queue

### value

    public Integer value(int slot)

  Description copied from class: `FieldComparator`
  Return the actual value in the slot.

  Specified by:
    `value` in class `FieldComparator<Integer>`
  Parameters:
    `slot` - the value
  Returns:
    value in this slot